Deletes a specified caption track.

**Quota impact:** A call to this method has a [quota cost](https://developers.google.com/youtube/data/getting-started.md.txt#quota) of 50 units.

## Common use cases

<iframe src="https://developers.devsite.google/frame/youtube/data/reference/rest/v3/captions/delete_3e111078e9b0eb21b0be11363c155e16ebec675ec51fe7ef1a2989c1ad5c6157.frame" class="framebox inherit-locale " allow="clipboard-write https://developers.devsite.google" allowfullscreen is-upgraded></iframe>

## Request

### HTTP request

```
DELETE https://www.googleapis.com/youtube/v3/captions
```

### Authorization

This request requires authorization with at least one of the following scopes. To read more about authentication and authorization, see [Implementing OAuth 2.0 authorization](https://developers.google.com/youtube/data/guides/authentication.md.txt).

| Scope |
|---|
| `https://www.googleapis.com/auth/youtube.force-ssl` |
| `https://www.googleapis.com/auth/youtubepartner` |

### Parameters

The following table lists the parameters that this query supports. All of the parameters listed are query parameters.

| Parameters ||
|---|---|---|
| **Required parameters** |||
| `id` | `string` The `id` parameter identifies the caption track that is being deleted. The value is a caption track ID as identified by the `id` property in a `caption` resource. |
| **Optional parameters** |||
| `onBehalfOfContentOwner` | `string` This parameter can only be used in a properly [authorized request](https://developers.google.com/youtube/data/guides/authentication.md.txt). **Note:** This parameter is intended exclusively for YouTube content partners. The `onBehalfOfContentOwner` parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The actual CMS account that the user authenticates with must be linked to the specified YouTube content owner. |

### Request body

Do not provide a request body when calling this method.

## Response

If successful, this method returns an HTTP `204 No Content` status code.

## Errors

The following table identifies error messages that the API could return in response to a call to this method. Fore more details, see [YouTube Data API - Errors](https://developers.google.com/youtube/data/reference/rest/v3/errors.md.txt).

| Error type | Error detail | Description |
|---|---|---|
| `forbidden (403)` | `forbidden` | The permissions associated with the request are not sufficient to delete the caption track. The request might not be properly authorized. |
| `notFound (404)` | `captionNotFound` | The caption track could not be found. Check the value of the request's `id` parameter to ensure that it is correct. |

## Try it!

Use the APIs Explorer to call this API and see the API request and response.